//
//  TSTSIslandView.swift
//  AIRingtone
//
//  Created by 100Years on 2025/3/2.
//

class TSTSIslandView: TSBaseView {
    lazy var showImageView: UIImageView = {
        let showImageView = UIImageView()
        showImageView.layer.cornerRadius = 28
        showImageView.clipsToBounds = true
        showImageView.contentMode = .scaleAspectFill
        return showImageView
    }()
    
    
    lazy var islandImageView: UIImageView = {
        let islandImageView = UIImageView.createImageView(imageName: "theme_phone_Island",contentMode: .scaleAspectFill)
        return islandImageView
    }()
    
    
    lazy var nameLab: UILabel = {
        let nameLab = UILabel.createLabel(text: "--",font: .font(size: 16),textColor: .white)
        return nameLab
    }()
    override func creatUI() {
        self.frame = CGRectMake(0, 0, 351*kDesignScale, 80*kDesignScale)
        contentView.addSubview(islandImageView)
        islandImageView.snp.makeConstraints { make in
            make.edges.equalToSuperview()
        }
        
        islandImageView.addSubview(showImageView)
        showImageView.snp.makeConstraints { make in
            make.centerY.equalToSuperview()
            make.leading.equalTo(14)
            make.width.height.equalTo(56)
        }
        
        let mobileLab = UILabel.createLabel(text: "Mobile",font: .font(size: 13),textColor: "#A4A4A9".uiColor)
        islandImageView.addSubview(mobileLab)
        mobileLab.snp.makeConstraints { make in
            make.top.equalTo(26)
            make.leading.equalTo(showImageView.snp.trailing).offset(8)
            make.height.equalTo(13)
        }
        
        islandImageView.addSubview(nameLab)
        nameLab.snp.makeConstraints { make in
            make.top.equalTo(43)
            make.leading.equalTo(showImageView.snp.trailing).offset(8)
            make.height.equalTo(16)
        }
    }
}
